Subject: bug#9622: [PATCH] Re: bug#9622: 23.3; flet indentation

From: Mattias Engdegård <[email-masked]>
Date: Thu, 30 Sep 2021 16:52:30 +0200

30 sep. 2021 kl. 15.06 skrev Basil L. Contovounesios <[email-masked]>:

> Thanks, but I found another indentation regression introduced in
> 38037e04cb that does not involve flet and is not fixed by c42af5aee7:
> 
> 0. emacs -Q
> 1. (let ((x (and y RET
> 
> Point is now at BOL instead of under y.

Thanks for reporting this; I've noticed the same. It's sufficient annoying that I'm reverting both changes; at least that gets us back where we started.

Akater, please don't see this as a hostile move -- we all want the bug resolved. Let's make sure that the next patch comes with ERT tests for all the mentioned issues and more.